GlueGen: com.jogamp.gluegen.cgram.GnuCLexerTokenTypes Interface Reference

GlueGen v2.6.0-rc-20250822 GlueGen, Native Binding Generator for Java™ (public API).

Public Attributes | List of all members
com.jogamp.gluegen.cgram.GnuCLexerTokenTypes Interface Reference
Inheritance diagram for com.jogamp.gluegen.cgram.GnuCLexerTokenTypes:
Collaboration diagram for com.jogamp.gluegen.cgram.GnuCLexerTokenTypes:

## Public Attributes

int | EOF = 1
int | NULL_TREE_LOOKAHEAD = 3
int | LITERAL_typedef = 4
int | LITERAL_asm = 5
int | LITERAL_volatile = 6
int | LCURLY = 7
int | RCURLY = 8
int | SEMI = 9
int | LITERAL_struct = 10
int | LITERAL_union = 11
int | LITERAL_enum = 12
int | LITERAL_auto = 13
int | LITERAL_register = 14
int | LITERAL_extern = 15
int | LITERAL_static = 16
int | LITERAL_const = 17
int | LITERAL_void = 18
int | LITERAL_char = 19
int | LITERAL_short = 20
int | LITERAL_int = 21
int | LITERAL_long = 22
int | LITERAL_float = 23
int | LITERAL_double = 24
int | LITERAL_signed = 25
int | LITERAL_unsigned = 26
int | LITERAL_wchar_t = 33
int | LITERAL_ptrdiff_t = 38
int | LITERAL_intptr_t = 39
int | LITERAL_size_t = 40
int | LITERAL_uintptr_t = 41
int | ID = 42
int | COMMA = 43
int | COLON = 44
int | ASSIGN = 45
int | STAR = 46
int | LPAREN = 47
int | RPAREN = 48
int | LBRACKET = 49
int | RBRACKET = 50
int | VARARGS = 51
int | LITERAL_while = 52
int | LITERAL_do = 53
int | LITERAL_for = 54
int | LITERAL_goto = 55
int | LITERAL_continue = 56
int | LITERAL_break = 57
int | LITERAL_return = 58
int | LITERAL_case = 59
int | LITERAL_default = 60
int | LITERAL_if = 61
int | LITERAL_else = 62
int | LITERAL_switch = 63
int | DIV_ASSIGN = 64
int | PLUS_ASSIGN = 65
int | MINUS_ASSIGN = 66
int | STAR_ASSIGN = 67
int | MOD_ASSIGN = 68
int | RSHIFT_ASSIGN = 69
int | LSHIFT_ASSIGN = 70
int | BAND_ASSIGN = 71
int | BOR_ASSIGN = 72
int | BXOR_ASSIGN = 73
int | QUESTION = 74
int | LOR = 75
int | LAND = 76
int | BOR = 77
int | BXOR = 78
int | BAND = 79
int | EQUAL = 80
int | NOT_EQUAL = 81
int | LT = 82
int | LTE = 83
int | GT = 84
int | GTE = 85
int | LSHIFT = 86
int | RSHIFT = 87
int | PLUS = 88
int | MINUS = 89
int | DIV = 90
int | MOD = 91
int | INC = 92
int | DEC = 93
int | LITERAL_sizeof = 94
int | BNOT = 95
int | LNOT = 96
int | PTR = 97
int | DOT = 98
int | CharLiteral = 99
int | StringLiteral = 100
int | IntOctalConst = 101
int | LongOctalConst = 102
int | UnsignedOctalConst = 103
int | IntIntConst = 104
int | LongIntConst = 105
int | UnsignedIntConst = 106
int | IntHexConst = 107
int | LongHexConst = 108
int | UnsignedHexConst = 109
int | FloatDoubleConst = 110
int | DoubleDoubleConst = 111
int | LongDoubleConst = 112
int | NTypedefName = 113
int | NInitDecl = 114
int | NDeclarator = 115
int | NStructDeclarator = 116
int | NDeclaration = 117
int | NCast = 118
int | NPointerGroup = 119
int | NExpressionGroup = 120
int | NFunctionCallArgs = 121
int | NNonemptyAbstractDeclarator = 122
int | NInitializer = 123
int | NStatementExpr = 124
int | NEmptyExpression = 125
int | NParameterTypeList = 126
int | NFunctionDef = 127
int | NCompoundStatement = 128
int | NParameterDeclaration = 129
int | NCommaExpr = 130
int | NUnaryExpr = 131
int | NLabel = 132
int | NPostfixExpr = 133
int | NRangeExpr = 134
int | NStringSeq = 135
int | NInitializerElementLabel = 136
int | NLcurlyInitializer = 137
int | NAsmAttribute = 138
int | NGnuAsmExpr = 139
int | NTypeMissing = 140
int | Vocabulary = 141
int | Whitespace = 142
int | Comment = 143
int | CPPComment = 144
int | NonWhitespace = 145
int | PREPROC_DIRECTIVE = 146
int | DefineExpr = 147
int | DefineExpr2 = 148
int | Space = 149
int | LineDirective = 150
int | BadStringLiteral = 151
int | Escape = 152
int | Digit = 153
int | LongSuffix = 154
int | UnsignedSuffix = 155
int | FloatSuffix = 156
int | Exponent = 157
int | Number = 158
int | LITERAL___label__ = 159
int | LITERAL_inline = 160
int | LITERAL_typeof = 161
int | LITERAL___complex = 162
int | LITERAL___attribute = 163
int | LITERAL___alignof = 164
int | LITERAL___real = 165
int | LITERAL___imag = 166
int | LITERAL___extension__ = 167
int | IntSuffix = 168
int | NumberSuffix = 169
int | IDMEAT = 170
int | WideCharLiteral = 171
int | WideStringLiteral = 172

## Detailed Description

Definition at line 11 of file GnuCLexerTokenTypes.java.

## Member Data Documentation

## ◆ ASSIGN

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.ASSIGN = 45

Definition at line 55 of file GnuCLexerTokenTypes.java.

## ◆ BadStringLiteral

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.BadStringLiteral = 151

Definition at line 161 of file GnuCLexerTokenTypes.java.

## ◆ BAND

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.BAND = 79

Definition at line 89 of file GnuCLexerTokenTypes.java.

## ◆ BAND_ASSIGN

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.BAND_ASSIGN = 71

Definition at line 81 of file GnuCLexerTokenTypes.java.

## ◆ BNOT

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.BNOT = 95

Definition at line 105 of file GnuCLexerTokenTypes.java.

## ◆ BOR

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.BOR = 77

Definition at line 87 of file GnuCLexerTokenTypes.java.

## ◆ BOR_ASSIGN

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.BOR_ASSIGN = 72

Definition at line 82 of file GnuCLexerTokenTypes.java.

## ◆ BXOR

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.BXOR = 78

Definition at line 88 of file GnuCLexerTokenTypes.java.

## ◆ BXOR_ASSIGN

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.BXOR_ASSIGN = 73

Definition at line 83 of file GnuCLexerTokenTypes.java.

## ◆ CharLiteral

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.CharLiteral = 99

Definition at line 109 of file GnuCLexerTokenTypes.java.

## ◆ COLON

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.COLON = 44

Definition at line 54 of file GnuCLexerTokenTypes.java.

## ◆ COMMA

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.COMMA = 43

Definition at line 53 of file GnuCLexerTokenTypes.java.

## ◆ Comment

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.Comment = 143

Definition at line 153 of file GnuCLexerTokenTypes.java.

## ◆ CPPComment

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.CPPComment = 144

Definition at line 154 of file GnuCLexerTokenTypes.java.

## ◆ DEC

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.DEC = 93

Definition at line 103 of file GnuCLexerTokenTypes.java.

## ◆ DefineExpr

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.DefineExpr = 147

Definition at line 157 of file GnuCLexerTokenTypes.java.

## ◆ DefineExpr2

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.DefineExpr2 = 148

Definition at line 158 of file GnuCLexerTokenTypes.java.

## ◆ Digit

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.Digit = 153

Definition at line 163 of file GnuCLexerTokenTypes.java.

## ◆ DIV

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.DIV = 90

Definition at line 100 of file GnuCLexerTokenTypes.java.

## ◆ DIV_ASSIGN

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.DIV_ASSIGN = 64

Definition at line 74 of file GnuCLexerTokenTypes.java.

## ◆ DOT

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.DOT = 98

Definition at line 108 of file GnuCLexerTokenTypes.java.

## ◆ DoubleDoubleConst

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.DoubleDoubleConst = 111

Definition at line 121 of file GnuCLexerTokenTypes.java.

## ◆ EOF

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.EOF = 1

Definition at line 12 of file GnuCLexerTokenTypes.java.

## ◆ EQUAL

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.EQUAL = 80

Definition at line 90 of file GnuCLexerTokenTypes.java.

## ◆ Escape

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.Escape = 152

Definition at line 162 of file GnuCLexerTokenTypes.java.

## ◆ Exponent

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.Exponent = 157

Definition at line 167 of file GnuCLexerTokenTypes.java.

## ◆ FloatDoubleConst

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.FloatDoubleConst = 110

Definition at line 120 of file GnuCLexerTokenTypes.java.

## ◆ FloatSuffix

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.FloatSuffix = 156

Definition at line 166 of file GnuCLexerTokenTypes.java.

## ◆ GT

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.GT = 84

Definition at line 94 of file GnuCLexerTokenTypes.java.

## ◆ GTE

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.GTE = 85

Definition at line 95 of file GnuCLexerTokenTypes.java.

## ◆ ID

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.ID = 42

Definition at line 52 of file GnuCLexerTokenTypes.java.

## ◆ IDMEAT

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.IDMEAT = 170

Definition at line 180 of file GnuCLexerTokenTypes.java.

## ◆ INC

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.INC = 92

Definition at line 102 of file GnuCLexerTokenTypes.java.

## ◆ IntHexConst

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.IntHexConst = 107

Definition at line 117 of file GnuCLexerTokenTypes.java.

## ◆ IntIntConst

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.IntIntConst = 104

Definition at line 114 of file GnuCLexerTokenTypes.java.

## ◆ IntOctalConst

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.IntOctalConst = 101

Definition at line 111 of file GnuCLexerTokenTypes.java.

## ◆ IntSuffix

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.IntSuffix = 168

Definition at line 178 of file GnuCLexerTokenTypes.java.

## ◆ LAND

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.LAND = 76

Definition at line 86 of file GnuCLexerTokenTypes.java.

## ◆ LBRACKET

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.LBRACKET = 49

Definition at line 59 of file GnuCLexerTokenTypes.java.

## ◆ LCURLY

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.LCURLY = 7

Definition at line 17 of file GnuCLexerTokenTypes.java.

## ◆ LineDirective

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.LineDirective = 150

Definition at line 160 of file GnuCLexerTokenTypes.java.

## ◆ LITERAL___alignof

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.LITERAL___alignof = 164

Definition at line 174 of file GnuCLexerTokenTypes.java.

## ◆ LITERAL___attribute

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.LITERAL___attribute = 163

Definition at line 173 of file GnuCLexerTokenTypes.java.

## ◆ LITERAL___complex

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.LITERAL___complex = 162

Definition at line 172 of file GnuCLexerTokenTypes.java.

## ◆ LITERAL___extension__

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.LITERAL___extension__ = 167

Definition at line 177 of file GnuCLexerTokenTypes.java.

## ◆ LITERAL___imag

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.LITERAL___imag = 166

Definition at line 176 of file GnuCLexerTokenTypes.java.

## ◆ LITERAL___label__

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.LITERAL___label__ = 159

Definition at line 169 of file GnuCLexerTokenTypes.java.

## ◆ LITERAL___real

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.LITERAL___real = 165

Definition at line 175 of file GnuCLexerTokenTypes.java.

## ◆ LITERAL_asm

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.LITERAL_asm = 5

Definition at line 15 of file GnuCLexerTokenTypes.java.

## ◆ LITERAL_auto

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.LITERAL_auto = 13

Definition at line 23 of file GnuCLexerTokenTypes.java.

## ◆ LITERAL_break

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.LITERAL_break = 57

Definition at line 67 of file GnuCLexerTokenTypes.java.

## ◆ LITERAL_case

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.LITERAL_case = 59

Definition at line 69 of file GnuCLexerTokenTypes.java.

## ◆ LITERAL_char

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.LITERAL_char = 19

Definition at line 29 of file GnuCLexerTokenTypes.java.

## ◆ LITERAL_const

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.LITERAL_const = 17

Definition at line 27 of file GnuCLexerTokenTypes.java.

## ◆ LITERAL_continue

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.LITERAL_continue = 56

Definition at line 66 of file GnuCLexerTokenTypes.java.

## ◆ LITERAL_default

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.LITERAL_default = 60

Definition at line 70 of file GnuCLexerTokenTypes.java.

## ◆ LITERAL_do

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.LITERAL_do = 53

Definition at line 63 of file GnuCLexerTokenTypes.java.

## ◆ LITERAL_double

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.LITERAL_double = 24

Definition at line 34 of file GnuCLexerTokenTypes.java.

## ◆ LITERAL_else

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.LITERAL_else = 62

Definition at line 72 of file GnuCLexerTokenTypes.java.

## ◆ LITERAL_enum

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.LITERAL_enum = 12

Definition at line 22 of file GnuCLexerTokenTypes.java.

## ◆ LITERAL_extern

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.LITERAL_extern = 15

Definition at line 25 of file GnuCLexerTokenTypes.java.

## ◆ LITERAL_float

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.LITERAL_float = 23

Definition at line 33 of file GnuCLexerTokenTypes.java.

## ◆ LITERAL_for

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.LITERAL_for = 54

Definition at line 64 of file GnuCLexerTokenTypes.java.

## ◆ LITERAL_goto

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.LITERAL_goto = 55

Definition at line 65 of file GnuCLexerTokenTypes.java.

## ◆ LITERAL_if

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.LITERAL_if = 61

Definition at line 71 of file GnuCLexerTokenTypes.java.

## ◆ LITERAL_inline

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.LITERAL_inline = 160

Definition at line 170 of file GnuCLexerTokenTypes.java.

## ◆ LITERAL_int

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.LITERAL_int = 21

Definition at line 31 of file GnuCLexerTokenTypes.java.

## ◆ LITERAL_intptr_t

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.LITERAL_intptr_t = 39

Definition at line 49 of file GnuCLexerTokenTypes.java.

## ◆ LITERAL_long

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.LITERAL_long = 22

Definition at line 32 of file GnuCLexerTokenTypes.java.

## ◆ LITERAL_ptrdiff_t

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.LITERAL_ptrdiff_t = 38

Definition at line 48 of file GnuCLexerTokenTypes.java.

## ◆ LITERAL_register

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.LITERAL_register = 14

Definition at line 24 of file GnuCLexerTokenTypes.java.

## ◆ LITERAL_return

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.LITERAL_return = 58

Definition at line 68 of file GnuCLexerTokenTypes.java.

## ◆ LITERAL_short

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.LITERAL_short = 20

Definition at line 30 of file GnuCLexerTokenTypes.java.

## ◆ LITERAL_signed

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.LITERAL_signed = 25

Definition at line 35 of file GnuCLexerTokenTypes.java.

## ◆ LITERAL_size_t

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.LITERAL_size_t = 40

Definition at line 50 of file GnuCLexerTokenTypes.java.

## ◆ LITERAL_sizeof

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.LITERAL_sizeof = 94

Definition at line 104 of file GnuCLexerTokenTypes.java.

## ◆ LITERAL_static

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.LITERAL_static = 16

Definition at line 26 of file GnuCLexerTokenTypes.java.

## ◆ LITERAL_struct

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.LITERAL_struct = 10

Definition at line 20 of file GnuCLexerTokenTypes.java.

## ◆ LITERAL_switch

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.LITERAL_switch = 63

Definition at line 73 of file GnuCLexerTokenTypes.java.

## ◆ LITERAL_typedef

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.LITERAL_typedef = 4

Definition at line 14 of file GnuCLexerTokenTypes.java.

## ◆ LITERAL_typeof

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.LITERAL_typeof = 161

Definition at line 171 of file GnuCLexerTokenTypes.java.

## ◆ LITERAL_uintptr_t

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.LITERAL_uintptr_t = 41

Definition at line 51 of file GnuCLexerTokenTypes.java.

## ◆ LITERAL_union

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.LITERAL_union = 11

Definition at line 21 of file GnuCLexerTokenTypes.java.

## ◆ LITERAL_unsigned

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.LITERAL_unsigned = 26

Definition at line 36 of file GnuCLexerTokenTypes.java.

## ◆ LITERAL_void

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.LITERAL_void = 18

Definition at line 28 of file GnuCLexerTokenTypes.java.

## ◆ LITERAL_volatile

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.LITERAL_volatile = 6

Definition at line 16 of file GnuCLexerTokenTypes.java.

## ◆ LITERAL_wchar_t

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.LITERAL_wchar_t = 33

Definition at line 43 of file GnuCLexerTokenTypes.java.

## ◆ LITERAL_while

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.LITERAL_while = 52

Definition at line 62 of file GnuCLexerTokenTypes.java.

## ◆ LNOT

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.LNOT = 96

Definition at line 106 of file GnuCLexerTokenTypes.java.

## ◆ LongDoubleConst

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.LongDoubleConst = 112

Definition at line 122 of file GnuCLexerTokenTypes.java.

## ◆ LongHexConst

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.LongHexConst = 108

Definition at line 118 of file GnuCLexerTokenTypes.java.

## ◆ LongIntConst

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.LongIntConst = 105

Definition at line 115 of file GnuCLexerTokenTypes.java.

## ◆ LongOctalConst

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.LongOctalConst = 102

Definition at line 112 of file GnuCLexerTokenTypes.java.

## ◆ LongSuffix

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.LongSuffix = 154

Definition at line 164 of file GnuCLexerTokenTypes.java.

## ◆ LOR

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.LOR = 75

Definition at line 85 of file GnuCLexerTokenTypes.java.

## ◆ LPAREN

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.LPAREN = 47

Definition at line 57 of file GnuCLexerTokenTypes.java.

## ◆ LSHIFT

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.LSHIFT = 86

Definition at line 96 of file GnuCLexerTokenTypes.java.

## ◆ LSHIFT_ASSIGN

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.LSHIFT_ASSIGN = 70

Definition at line 80 of file GnuCLexerTokenTypes.java.

## ◆ LT

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.LT = 82

Definition at line 92 of file GnuCLexerTokenTypes.java.

## ◆ LTE

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.LTE = 83

Definition at line 93 of file GnuCLexerTokenTypes.java.

## ◆ MINUS

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.MINUS = 89

Definition at line 99 of file GnuCLexerTokenTypes.java.

## ◆ MINUS_ASSIGN

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.MINUS_ASSIGN = 66

Definition at line 76 of file GnuCLexerTokenTypes.java.

## ◆ MOD

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.MOD = 91

Definition at line 101 of file GnuCLexerTokenTypes.java.

## ◆ MOD_ASSIGN

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.MOD_ASSIGN = 68

Definition at line 78 of file GnuCLexerTokenTypes.java.

## ◆ NAsmAttribute

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.NAsmAttribute = 138

Definition at line 148 of file GnuCLexerTokenTypes.java.

## ◆ NCast

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.NCast = 118

Definition at line 128 of file GnuCLexerTokenTypes.java.

## ◆ NCommaExpr

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.NCommaExpr = 130

Definition at line 140 of file GnuCLexerTokenTypes.java.

## ◆ NCompoundStatement

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.NCompoundStatement = 128

Definition at line 138 of file GnuCLexerTokenTypes.java.

## ◆ NDeclaration

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.NDeclaration = 117

Definition at line 127 of file GnuCLexerTokenTypes.java.

## ◆ NDeclarator

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.NDeclarator = 115

Definition at line 125 of file GnuCLexerTokenTypes.java.

## ◆ NEmptyExpression

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.NEmptyExpression = 125

Definition at line 135 of file GnuCLexerTokenTypes.java.

## ◆ NExpressionGroup

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.NExpressionGroup = 120

Definition at line 130 of file GnuCLexerTokenTypes.java.

## ◆ NFunctionCallArgs

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.NFunctionCallArgs = 121

Definition at line 131 of file GnuCLexerTokenTypes.java.

## ◆ NFunctionDef

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.NFunctionDef = 127

Definition at line 137 of file GnuCLexerTokenTypes.java.

## ◆ NGnuAsmExpr

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.NGnuAsmExpr = 139

Definition at line 149 of file GnuCLexerTokenTypes.java.

## ◆ NInitDecl

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.NInitDecl = 114

Definition at line 124 of file GnuCLexerTokenTypes.java.

## ◆ NInitializer

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.NInitializer = 123

Definition at line 133 of file GnuCLexerTokenTypes.java.

## ◆ NInitializerElementLabel

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.NInitializerElementLabel = 136

Definition at line 146 of file GnuCLexerTokenTypes.java.

## ◆ NLabel

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.NLabel = 132

Definition at line 142 of file GnuCLexerTokenTypes.java.

## ◆ NLcurlyInitializer

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.NLcurlyInitializer = 137

Definition at line 147 of file GnuCLexerTokenTypes.java.

## ◆ NNonemptyAbstractDeclarator

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.NNonemptyAbstractDeclarator = 122

Definition at line 132 of file GnuCLexerTokenTypes.java.

## ◆ NonWhitespace

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.NonWhitespace = 145

Definition at line 155 of file GnuCLexerTokenTypes.java.

## ◆ NOT_EQUAL

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.NOT_EQUAL = 81

Definition at line 91 of file GnuCLexerTokenTypes.java.

## ◆ NParameterDeclaration

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.NParameterDeclaration = 129

Definition at line 139 of file GnuCLexerTokenTypes.java.

## ◆ NParameterTypeList

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.NParameterTypeList = 126

Definition at line 136 of file GnuCLexerTokenTypes.java.

## ◆ NPointerGroup

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.NPointerGroup = 119

Definition at line 129 of file GnuCLexerTokenTypes.java.

## ◆ NPostfixExpr

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.NPostfixExpr = 133

Definition at line 143 of file GnuCLexerTokenTypes.java.

## ◆ NRangeExpr

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.NRangeExpr = 134

Definition at line 144 of file GnuCLexerTokenTypes.java.

## ◆ NStatementExpr

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.NStatementExpr = 124

Definition at line 134 of file GnuCLexerTokenTypes.java.

## ◆ NStringSeq

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.NStringSeq = 135

Definition at line 145 of file GnuCLexerTokenTypes.java.

## ◆ NStructDeclarator

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.NStructDeclarator = 116

Definition at line 126 of file GnuCLexerTokenTypes.java.

## ◆ NTypedefName

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.NTypedefName = 113

Definition at line 123 of file GnuCLexerTokenTypes.java.

## ◆ NTypeMissing

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.NTypeMissing = 140

Definition at line 150 of file GnuCLexerTokenTypes.java.

## ◆ NULL_TREE_LOOKAHEAD

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.NULL_TREE_LOOKAHEAD = 3

Definition at line 13 of file GnuCLexerTokenTypes.java.

## ◆ Number

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.Number = 158

Definition at line 168 of file GnuCLexerTokenTypes.java.

## ◆ NumberSuffix

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.NumberSuffix = 169

Definition at line 179 of file GnuCLexerTokenTypes.java.

## ◆ NUnaryExpr

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.NUnaryExpr = 131

Definition at line 141 of file GnuCLexerTokenTypes.java.

## ◆ PLUS

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.PLUS = 88

Definition at line 98 of file GnuCLexerTokenTypes.java.

## ◆ PLUS_ASSIGN

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.PLUS_ASSIGN = 65

Definition at line 75 of file GnuCLexerTokenTypes.java.

## ◆ PREPROC_DIRECTIVE

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.PREPROC_DIRECTIVE = 146

Definition at line 156 of file GnuCLexerTokenTypes.java.

## ◆ PTR

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.PTR = 97

Definition at line 107 of file GnuCLexerTokenTypes.java.

## ◆ QUESTION

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.QUESTION = 74

Definition at line 84 of file GnuCLexerTokenTypes.java.

## ◆ RBRACKET

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.RBRACKET = 50

Definition at line 60 of file GnuCLexerTokenTypes.java.

## ◆ RCURLY

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.RCURLY = 8

Definition at line 18 of file GnuCLexerTokenTypes.java.

## ◆ RPAREN

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.RPAREN = 48

Definition at line 58 of file GnuCLexerTokenTypes.java.

## ◆ RSHIFT

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.RSHIFT = 87

Definition at line 97 of file GnuCLexerTokenTypes.java.

## ◆ RSHIFT_ASSIGN

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.RSHIFT_ASSIGN = 69

Definition at line 79 of file GnuCLexerTokenTypes.java.

## ◆ SEMI

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.SEMI = 9

Definition at line 19 of file GnuCLexerTokenTypes.java.

## ◆ Space

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.Space = 149

Definition at line 159 of file GnuCLexerTokenTypes.java.

## ◆ STAR

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.STAR = 46

Definition at line 56 of file GnuCLexerTokenTypes.java.

## ◆ STAR_ASSIGN

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.STAR_ASSIGN = 67

Definition at line 77 of file GnuCLexerTokenTypes.java.

## ◆ StringLiteral

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.StringLiteral = 100

Definition at line 110 of file GnuCLexerTokenTypes.java.

## ◆ UnsignedHexConst

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.UnsignedHexConst = 109

Definition at line 119 of file GnuCLexerTokenTypes.java.

## ◆ UnsignedIntConst

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.UnsignedIntConst = 106

Definition at line 116 of file GnuCLexerTokenTypes.java.

## ◆ UnsignedOctalConst

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.UnsignedOctalConst = 103

Definition at line 113 of file GnuCLexerTokenTypes.java.

## ◆ UnsignedSuffix

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.UnsignedSuffix = 155

Definition at line 165 of file GnuCLexerTokenTypes.java.

## ◆ VARARGS

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.VARARGS = 51

Definition at line 61 of file GnuCLexerTokenTypes.java.

## ◆ Vocabulary

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.Vocabulary = 141

Definition at line 151 of file GnuCLexerTokenTypes.java.

## ◆ Whitespace

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.Whitespace = 142

Definition at line 152 of file GnuCLexerTokenTypes.java.

## ◆ WideCharLiteral

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.WideCharLiteral = 171

Definition at line 181 of file GnuCLexerTokenTypes.java.

## ◆ WideStringLiteral

int com.jogamp.gluegen.cgram.GnuCLexerTokenTypes.WideStringLiteral = 172

Definition at line 182 of file GnuCLexerTokenTypes.java.

The documentation for this interface was generated from the following file:

- build/gensrc/java/com/jogamp/gluegen/cgram/GnuCLexerTokenTypes.java